
<style>
    .div2 {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      height: 100vh;
      background-color: lightblue;
    }

    .button-container {
      text-align: center;
    }

    .button {
      margin: 10px;
    }
  </style>
<section style="background-color: lightblue;">
<div class="div2">
  <h1>Welcome to Competitions</h1>
  <div class="button-container">
    <button class="button" id="login-button" (click)="login()" >Log In</button>
  </div>
</div>
<router-outlet></router-outlet>
</section>

  

